Bekijk Volledige Versie : dns op dnsexit
chrissie18
14/07/06, 13:25
hallo,
ik heb dns via dns exit
mijn domein is exxelent.nl
maar ik ben een newbie en ik wil graag weten hoe ik subdomeinen enzo kan instellen mijn dns ziet er nu als volgt uit
(staat in bijlage)
kan iemand mij mischien helpen
bedankt voor u help
GlobalServe
14/07/06, 15:17
Je moet a records maken ipv een cname...
dreamhost_nl
14/07/06, 18:34
Je moet a records maken ipv een cname...
Inderdaad, dus :
subdomein.exxelent.nl. 14400 IN A 217.120.161.185
chrissie18
14/07/06, 19:17
oke bedankt en staat mx record wel goed zo ?
oke bedankt en staat mx record wel goed zo ?
Volgens mij staat je mx record nog niet. Draait op dat ip wat onder je CNAME staat een mailserver? Volgens mij moet dat record naar je mailserver niet een CNAME zijn maar een A-record.
Wat je nu dus doet volgens mij al het op dnsreport goed zie. Je verwijst mail.exellent.nl door naar exellent.nl.
A-record IP Adresses
mail.exxelent.nl 217.120.161.185
mail2.exxelent.nl 217.120.161.185
support.exxelent.nl 217.120.161.185
forums.exxelent.nl 217.120.161.185
en dan die CNAME's weghalen
De fouten die ik tegenkom:
WARNING: One or more of your MX records points to a CNAME. CNAMEs are prohibited in MX records, according to RFC974 (http://www.dnsstuff.com/pages/rfc974.htm), RFC1034 (http://www.dnsreport.com/tools/rfc.ch?detail=1034) 3.6.2, RFC1912 (http://www.dnsreport.com/tools/rfc.ch?detail=1912) 2.4, and RFC2181 (http://www.dnsreport.com/tools/rfc.ch?detail=2181) 10.3. The problem MX record(s) are:
mail.exxelent.nl.->exxelent.nl.->217.120.161.185
mail2.exxelent.nl.->exxelent.nl.->217.120.161.185
------------------------------------------------
WARNING: You have duplicate MX records. This means that mailservers may try delivering mail to the same IP more than once. Although technically valid, this is very confusing, and wastes resources. The duplicate MX records are:
exxelent.nl. and mail.exxelent.nl. both resolve to 217.120.161.185.
exxelent.nl. and mail2.exxelent.nl. both resolve to 217.120.161.185.
mail.exxelent.nl. and mail2.exxelent.nl. both resolve to 217.120.161.185.
Als je zelf even een dnsreport voor je domein wilt doen, kun je zien wat er allemaal fout is.
De link:www.dnsreport.com en dan je domein aan de linkerkant invullen(zonder www).
Succes ermee
chrissie18
31/08/06, 11:17
oke ik heb het veranderd ik heb mail2.exxelent.nl verwijdert omdat hij op de zelfde ip draaide staat het nu goed?
Wat je nu dus doet volgens mij al het op dnsreport goed zie. Je verwijst mail.exellent.nl door naar exellent.nl.
het mag wel, er zijn partijen die dit doen icm een fallback. Als dan het ip veranderd hoef je maar één ip aan te passen. Echter de andere kant is als het andere domein niet meer werkt om wat voor redenen dan ook, je tweede mx er ook mee stopt.
chrissie18
31/08/06, 12:17
ik heb nu de mail server ingestelt alles lijkt te werken maar enigste probleem is nog dat ik geen mailtjes ontvang en het geeft ook geen fouten aan hoe kan dat en email verzenden wil wel